# Kubernetes Cluster Deployment Guide

This guide describes how to deploy a Kubernetes cluster tailored to your environment using the provided `init-deploy.sh` script.

## ⚙️ Pre-requisites

Before running the deployment script, ensure the following are in place:

- `kubectl` is installed on your local machine
- The remote user can execute `sudo` commands **without a password prompt**
- SSH host keys of the target nodes are already added to your system (to avoid interactive confirmation prompts)

## 🧭 Deployment Goals

This setup will create a Kubernetes cluster with the following topology and components:

- **1 Control Plane Node**
- **2 Worker Nodes**
- **Calico** as the CNI (Container Network Interface)
- **MetalLB** as the cloud load balancer for bare metal services
- **Longhorn** as the persistent storage provider

## 🚀 How to Deploy

To initiate the deployment, run the provided script:

```bash
chmod +x init-deploy.sh
./init-deploy.sh
